Jump to content
Vodia PBX forum
fonny

OS X Installation outdated in wiki?

Recommended Posts

Downloaded the (what I tought) latest version of snomONE from http://wiki.snomone.com/index.php?title=Downloads

[Mac - Installer - New Installations Only]

but this seems to be a (very) old version 2011-4.2.0.3958 which is still using the deprecated StartupItems Folders to autostart the pbx on bootup and writes files in /Libray/snomone.

 

Followed instructions as explained http://wiki.snomone.com/index.php?title=Quick_Installation

 

Got the latest update 2011-4.3.0.5021 an dinstalled as explained on the download page but here youre adviced to store the files in /Application/snomONE/

 

- Can the installer be updated so the pbx gets started with a LaunchDeamon plist file ?

- All documentation is talking of the same uniform locations for files ?

 

regards

Fonny

Share this post


Link to post
Share on other sites

On the download page, there is a DMG package too

http://downloads.snom.net/snomONE/mac/snomONE.dmg

 

If you are comfortable with the dmg, you should use this. Even this installs the older version. But after the installation, you can download the latest binary (not the installer) http://downloads.snom.net/snomONE/mac/pbxctrl-darwin9.0-2011-4.3.0.5021 and update your installation manually.

 

BTW, we are in the process of making the dmg with .5021 version.

Share this post


Link to post
Share on other sites

Tnx for the quick response.

 

I have installed this version but on one system I cannot run the SnomONE Admin.

When started it directly quits. System.log shows:

 

10/12/11 21:15:33 [0x0-0xa60a6].com.snom.snom_ONE_Admin[4375] dyld: unknown required load command 0x80000022

10/12/11 21:15:33 com.apple.launchd[120] ([0x0-0xa60a6].com.snom.snom_ONE_Admin[4375]) Exited abnormally: Trace/BPT trap

 

And in crashreport

Process: snom ONE Admin [4375]

Path: /Applications/snomONE/snom ONE Admin.app/Contents/MacOS/snom ONE Admin

Identifier: com.snom.snom_ONE_Admin

Version: ??? (???)

Code Type: X86-64 (Native)

Parent Process: launchd [120]

 

Date/Time: 2011-12-10 21:15:33.138 +0100

OS Version: Mac OS X Server 10.5.8 (9L34)

Report Version: 6

Anonymous UUID: 1E440E90-4BD2-4B4B-AA6D-2D6B7F1A418E

 

Exception Type: EXC_BREAKPOINT (SIGTRAP)

Exception Codes: 0x0000000000000002, 0x0000000000000000

Crashed Thread: 0

 

Dyld Error Message:

unknown required load command 0x80000022

 

------------------------

System is MacMini Server

Otherwise the PBX is running fine.

 

I have another installation on a MacMini with OS X 10.6.8 and here SnomONE Admin runs fine.

 

Any idea what can be wrong ?

Share this post


Link to post
Share on other sites

Stopped old pbx

Made a backup of the old /usr/Applications/snomone/conf folder

Removed /usr/application folder

Removed /Library/StartUpItems/PBX folder

 

I have installed the .dmg & copied snomONE folder to /Applications

Rebooted Mac

Started SnomONE Admin & crash

 

Copied the old conf folder over the /Applications/snomONE/conf folder

Created a LaunchDaemon plist

Rebooted Mac

 

pbx works but SnomONE Admin still doesn't want to work.

 

The dyld error looks like some library is missing on the Mac ?

Share this post


Link to post
Share on other sites

Hi,

 

With the new version there is no more StartupItem/PBX (StartupItems is deprecated since OSX v1.5 - LauchDaemons should be used instead).

 

I have no more StartupItems/PBX so no way to start/stop from there.

Share this post


Link to post
Share on other sites

Sorry for my late reply. I have missed this one.

 

I didn't had any luck with the previous installer nor do I have with the current darwin 9.0-2011-4.3.0.5021 version on MaxOS X 10.5.8

The app is crashing when trying to start.

 

Exception Type: EXC_BREAKPOINT (SIGTRAP)

Exception Codes: 0x0000000000000002, 0x0000000000000000

Crashed Thread: 0

 

Dyld Error Message:

unknown required load command 0x80000022

 

If I start the pbx manually all works.

The problem is only in the Applescript app !

 

 

Running the app on 10.6 or 10.7 works without a hith.

 

Fonny

Share this post


Link to post
Share on other sites

Unfortunately we are going to discontinue that APP. Too much dependencies. We are going to fall back to our old installer and the new web update methods going forward.

Share this post


Link to post
Share on other sites

But at least I can hope that LauchDeamon will be implemented instead of the old deprecated StartUpItems ?

And instructions documented how to start/stop the pbx ?

 

Do you have any idea how to start/stop on OSX 10.5 ?

launchctl load /Library/LaunchDaemons/com.snom.snomone.plist

launchctl unload /Library/LaunchDaemons/com.snom.snomone.plist

 

This works in v10.6 & v10.7 but give an error in v10.5.8

Share this post


Link to post
Share on other sites

But at least I can hope that LauchDeamon will be implemented instead of the old deprecated StartUpItems ?

 

Yes, the next version will use launchDemons.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...